server:
  port: 8030
spring:
  profiles:
    active: test
  application:
    name: liankong-service-share
  main:
    allow-bean-definition-overriding: true
  jackson:
    deserialization:
      FAIL_ON_UNKNOWN_PROPERTIES: false
    date-format: yyyy-MM-dd HH:mm:ss
    locale: zh_CN
    time-zone: GMT+8
  cloud:
    nacos:
      discovery:
        server-addr: nacos.scfile.cn:8848
        namespace: liankong
        username: liankong
        password: liankong2020
      config:
        file-extension: yaml
        server-addr: nacos.scfile.cn:8848
        namespace: liankong
        username: liankong
        password: liankong2020

#logger
logging:
  level:
    cn.scfile.liankong.db: debug

#ORM
mybatis-plus:
  mapper-locations: classpath*:mybatis/*.xml
  typeEnumsPackage: com.youhong.liankong.db.*.enums
  global-config:
    refresh: true
    db-config:
      id-type: ASSIGN_ID

